Bug 191503 - add STAGE support and modernize port: math/proofgeneral
Summary: add STAGE support and modernize port: math/proofgeneral
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-29 23:30 UTC by Timothy Beyer
Modified: 2014-07-16 16:55 UTC (History)
2 users (show)

See Also:


Attachments
proofgeneral.diff (2.61 KB, patch)
2014-06-29 23:30 UTC, Timothy Beyer
no flags Details | Diff
math/proofgeneral STAGE patch v2 (3.60 KB, patch)
2014-07-08 04:40 UTC, Timothy Beyer
no flags Details | Diff
proofgeneral_v3.diff (3.37 KB, patch)
2014-07-16 03:14 UTC, Timothy Beyer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Beyer 2014-06-29 23:30:35 UTC
Created attachment 144278 [details]
proofgeneral.diff

- Add STAGE support

- Use ${PORT_OPTIONS:MDOCS} instead of !defined(NOPORTDOCS)

- Adjust plist to include manual page (and adjust Makefile accordingly)

How-To-Repeat:
Apply patch and build port

Fix:
The included patch
Comment 1 Danilo Egea Gondolfo freebsd_committer 2014-07-04 04:19:02 UTC
I'm getting these errors. The last two error are probably because you are using the STAGEDIR path in the variables passed to MAKE_ARGS. Can you check, please?

====> Compressing man pages (compress-man)
====> Running Q/A tests (stage-qa)
Error: '/usr/bin/perl' is an invalid shebang you need USES=shebangfix for 'bin/legotags'
Error: '/usr/bin/perl' is an invalid shebang you need USES=shebangfix for 'bin/coqtags'
Error: '/usr/bin/perl' is an invalid shebang you need USES=shebangfix for 'bin/isartags'
Error: 'bin/proofgeneral' is referring to /usr/ports/math/proofgeneral/work/stage
Error: 'share/emacs/site-lisp/site-start.d/pg-init.el' is referring to /usr/ports/math/proofgeneral/work/stage
*** Error code 1
Comment 2 Timothy Beyer 2014-07-04 08:20:52 UTC
I will look into what needs to be changed to get rid of the errors.

There were a few variables in MAKE_ARGS that I wasn't entirely sure about, so it is possible that some shouldn't have STAGEDIR appended.
Comment 3 Timothy Beyer 2014-07-08 04:40:00 UTC
Created attachment 144506 [details]
math/proofgeneral STAGE patch v2

- Add STAGE support

- Use ${PORT_OPTIONS:MDOCS} instead of !defined(NOPORTDOCS)

- Adjust plist to include manual page (and adjust Makefile accordingly)

- Ensure that installed script bin/proofgeneral uses properly defined paths

- Uses shebangfix
Comment 4 Timothy Beyer 2014-07-15 06:20:19 UTC
It builds properly on RedPorts for the all of the builds that I tried:

math/proofgeneral 4.1_8
10.0-RELEASE/amd64	success	47 minutes	Buildlog
10.0-RELEASE/i386	success	66 minutes	Buildlog
9.2-RELEASE/amd64	success	58 minutes	Buildlog
9.2-RELEASE/i386	success	52 minutes	Buildlog
QATty	success	54 minutes	Buildlog


See link below for details:
https://redports.org/buildarchive/20140715041129-85766/

Regards,
Tim
Comment 5 Danilo Egea Gondolfo freebsd_committer 2014-07-15 15:47:13 UTC
One problem remaining:

====> Running Q/A tests (stage-qa)
Error: 'share/emacs/site-lisp/site-start.d/pg-init.el' is referring to /usr/ports/math/proofgeneral/work/stage

Use DEVELOPER=yes in your /etc/make.conf to check this.
Comment 6 Timothy Beyer 2014-07-16 03:14:36 UTC
Created attachment 144709 [details]
proofgeneral_v3.diff

- Includes features of prior patches, and also addresses the DEST_ELISP substitution issue
Comment 7 commit-hook freebsd_committer 2014-07-16 16:54:22 UTC
A commit references this bug:

Author: danilo
Date: Wed Jul 16 16:53:38 UTC 2014
New revision: 362086
URL: http://svnweb.freebsd.org/changeset/ports/362086

Log:
  - Add stage support
  - Use ${PORT_OPTIONS:MDOCS} instead of !defined(NOPORTDOCS)
  - Uses shebangfix

  PR:		ports/191503
  Submitted by:	Timothy Beyer <beyert@cs.ucr.edu>

Changes:
  head/math/proofgeneral/Makefile
  head/math/proofgeneral/pkg-plist
Comment 8 Danilo Egea Gondolfo freebsd_committer 2014-07-16 16:55:22 UTC
Committed. Thanks!